Name: traceroute
Version: 1.4a12
Release: alt7

Summary: Traces the route taken by packets over a TCP/IP network
License: BSD
Group: Monitoring
Url: ftp://ftp.ee.lbl.gov

Source: %url/%name-%version.tar.bz2
Source1: %name.control

Patch1: %name-1.4a5-rh-bigpacklen.patch
Patch2: %name-1.4a5-rh-secfix.patch
Patch3: %name-1.4a7-rh-autoroute.patch
Patch4: %name-1.4a5-rh-autoroute2.patch
Patch5: %name-1.4a12-rh-unaligned.patch
Patch6: %name-1.4a12-owl-tim-chris-fixes.patch
Patch7: %name-1.4a7-rh-aliases.patch
Patch8: %name-1.4a12-owl-force-linux.patch
Patch9: %name-1.4a5-rh-lsrr.patch
Patch10: %name-1.4a12-rh-alt-sockopt.patch
Patch11: %name-1.4a12-rh-tos-monitoring.patch
Patch21: %name-1.4a12-alt-error-progname.patch
Patch22: %name-1.4a12-alt-dropcap.patch
Patch23: %name-1.4a12-alt-send_probe-fixes.patch

PreReq: coreutils, shadow-utils, control
Requires: /var/resolv

BuildPreReq: autoconf = 2.13, rpm-build >= 4.0.4-alt10

# Automatically added by buildreq on Wed Aug 27 2003
BuildRequires: libcap-devel

%description
The %name utility displays the route used by IP packets on their
way to a specified network (or Internet) host.  Traceroute displays
the IP number and host name (if possible) of the machines along the
route taken by the packets.  Traceroute is used as a network debugging
tool.  If you're having network connectivity problems, %name will
show you where the trouble is coming from along the route.

Install %name if you need a tool for diagnosing network connectivity
problems.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1

find -type f -name \*.orig -print -delete

%build
%set_autoconf_version 2.13
autoconf
%configure
%make_build CCOPT="$RPM_OPT_FLAGS -Werror"

%install
%__install -pD -m700 %name $RPM_BUILD_ROOT/bin/%name
%__mkdir_p $RPM_BUILD_ROOT%_sbindir
%__ln_s ../../bin/%name $RPM_BUILD_ROOT%_sbindir/
%__install -pD -m644 %name.8 $RPM_BUILD_ROOT%_man8dir/%name.8
%__install -pD -m755 $RPM_SOURCE_DIR/%name.control \
	$RPM_BUILD_ROOT/etc/control.d/facilities/%name

%pre
/usr/sbin/groupadd -r -f iputils
/usr/sbin/useradd -r -g iputils -d /dev/null -s /dev/null -n iputils >/dev/null 2>&1 ||:
/usr/sbin/groupadd -r -f netadmin
if [ $1 -ge 2 ]; then
        /usr/sbin/control-dump %name
fi

%post
if [ $1 -ge 2 ]; then
        /usr/sbin/control-restore %name
else
        /usr/sbin/control %name public
fi

%triggerun -- traceroute = 1.4a12-alt2
/usr/sbin/userdel tracert >/dev/null 2>&1 ||:

%files
%config /etc/control.d/facilities/%name
/bin/*
%_sbindir/*
%_mandir/man?/*

%changelog
* Wed Aug 27 2003 Dmitry V. Levin <ldv@altlinux.org> 1.4a12-alt7
- Reworked drop privs patch, to make -i option work for root.
- Fixed build with -Werror.
- Relocated traceroute binary from %_sbindir to /bin;
  added backwards compatibillity symlink.
- Keep traceroute at mode 700 ("restricted") in the package,
  but default it to "public" in %post when the package is first
  installed.  This avoids a race and fail-open behavior (Owl).

* Mon Aug 25 2003 Dmitry V. Levin <ldv@altlinux.org> 1.4a12-alt6
- Explicitly use old autoconf for build.
- Merged RH patches:
  + fix for -i option;
  + enhanced -t option.

* Wed Oct 16 2002 Dmitry V. Levin <ldv@altlinux.org> 1.4a12-alt5
- Added control support for traceroute.

* Tue Apr 09 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.4a12-alt4
- Updated droppriv patch (chroot to /var/resolv).

* Thu Apr 04 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.4a12-alt3
- When drop root for root user, switch to "iputils" user
  (sync with iputils package).

* Wed Apr 03 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.4a12-alt2
- Redone error reporting.
- Drop root also for root.

* Wed Dec 05 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.4a12-alt1
- 1.4a12
- Integrated Mandrake & Redhat & Owl patches

* Wed Oct 04 2000 Dmitry V. Levin <ldv@fandra.org> 1.4a7-ipl1mdk
- 1.4a7
- Merge RH patches.
- Automatically added BuildRequires.

* Mon Jul 31 2000 Francis Galiegue <fg@mandrakesoft.com> 1.4a5-13mdk
- More macros
- let spec-helper do its job

* Fri Jul 21 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.4a5-12mdk
- BM, macros

* Wed Apr 05 2000 John Buswell <johnb@mandrakesoft.com> 1.4a5-11mdk
- fix vendor tag

* Thu Mar 30 2000 John Buswell <johnb@mandrakesoft.com> 1.4a5-10mdk
- fix groups
- spec-helper

* Wed Jan 12 2000 Pixel <pixel@mandrakesoft.com>
- fix build as non-root (removed call to make install, done by hand)

* Thu Nov  4 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix wrong patch :-\.

* Wed Jul 21 1999 Gregus <gregus@etudiant.net>
- Add fr

* Tue Jul 12 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- bzip2 manpage

* Thu Jul  8 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Merging with RH patchs :
    * avoid unaligned traps writing into the output data area.
    * fix segfault when host cannot be reached through if (#2819)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 14)

* Fri Mar 19 1999 Jeff Johnson <jbj@redhat.com>
- strip binaries.

* Sun Feb 07 1999 Preston Brown <pbrown@redhat.com>
- patch added to automatically determine interface to route through

* Fri Jan 22 1999 Jeff Johnson <jbj@redhat.com>
- use %configure
- fix 64 bit problem on alpha (#919)

* Wed Jan 13 1999 Bill Nottingham <notting@redhat.com>
- configure fix for arm

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Dec 16 1997 Cristian Gafton <gafton@redhat.com>
- updated the security patch (ouch!). Without the glibc fix, it could be
  worthless anyway

* Sat Dec 13 1997 Cristian Gafton <gafton@redhat.com>
- added a security patch fix

* Wed Oct 22 1997 Erik Troan <ewt@redhat.com>
- added fix from Christopher Seawood

* Mon Sep 22 1997 Erik Troan <ewt@redhat.com>
- updated to 1.4a5 for security fixes; release 1 is for RH 4.2, release 2
  is against glibc

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
